top button
Flag Notify
    Connect to us
      Facebook Login
      Site Registration

Facebook Login
Site Registration

RoR gem for restful authentication?

+1 vote
51 views

I'm working on an ecommerce website and need to implement an authentication and authorization system. The system should be restful so that i can consume it from different sources like (web, android, ios etc). I'm currently working on devise but dont know how to convert it restful. Can anyone help me with the best gem using which i can implement above scenario ASAP.

Also can someone provide me with testing methodologies for authentication system which is restful. It would be very helpful if you can provide a blog or video tutorial for accomplishing the above task.

posted Apr 7, 2015 by anonymous

Looking for an answer?  Promote on:
Facebook Share Button Twitter Share Button LinkedIn Share Button

Similar Questions
+1 vote

Rails seems to have a whole whack of them and I'm not sure which ones match my requirements. The library must:

  • be fully themeable; the overall layout is going to be made from scratch
  • allow custom content for pages (i.e. a developer-made page)
  • allow defining of different types of posts with different fields/data
  • support image upload for at least pages and preferably posts as well
  • be relatively easy to extract post content outside the CMS (e.g. for use in sending an e-mail digest)

Preferably it should:
- Be compatible with Rails 4
- allow individual pages to be user-edited with HTML/CSS after they've been created

Can anyone recommend one for me?

+2 votes

I need to generate few basic reports in rails (generated on the basis of some SQLs fired on MySQL) which can be viewed in HTML5 and then if a user wants, he should be able to download a pdf file for the report. Can someone suggest a gem for this requirement?

+1 vote

Is it possible to use ruby gems such as "gosu" or "fxruby" on a rails applications? And if so how do you do it?

+2 votes

I've been trying to install and update different gems to work with Ruby on Rails, but keep getting the same error, apparently indicating I can't install or update any gem:

I generally type in something like:

gem update --system or gem install Rails --version 4.0.0 --no-ri --no-rdoc

And get the following:

ERROR: While executing gem ... (Errno::EINVAL)
Invalid Argument - socket(2) - udp

Note that I've proceeded to the same setup just a couple of days before on a different machine and had no problem.

I couldn't figure any place where this same Error was explained or encountered.

Anybody here can help out?

Contact Us
+91 9880187415
sales@queryhome.net
support@queryhome.net
#280, 3rd floor, 5th Main
6th Sector, HSR Layout
Bangalore-560102
Karnataka INDIA.
QUERY HOME
...